Bug 47025 - [BREWMP] Use PlatformRefPtr instead of OwnPtr in FileSystem
Summary: [BREWMP] Use PlatformRefPtr instead of OwnPtr in FileSystem
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Platform (show other bugs)
Version: 528+ (Nightly build)
Hardware: Other Other
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-01 15:50 PDT by Kwang Yul Seo
Modified: 2010-10-05 10:01 PDT (History)
1 user (show)

See Also:


Attachments
Patch (3.76 KB, patch)
2010-10-01 15:52 PDT, Kwang Yul Seo
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kwang Yul Seo 2010-10-01 15:50:55 PDT
PlatformRefPtr is a better choice here because all Brew MP instances are reference counted.
Comment 1 Kwang Yul Seo 2010-10-01 15:52:59 PDT
Created attachment 69532 [details]
Patch
Comment 2 Kent Tamura 2010-10-04 18:34:37 PDT
Comment on attachment 69532 [details]
Patch

ok
Comment 3 WebKit Commit Bot 2010-10-05 10:01:16 PDT
Comment on attachment 69532 [details]
Patch

Clearing flags on attachment: 69532

Committed r69118: <http://trac.webkit.org/changeset/69118>
Comment 4 WebKit Commit Bot 2010-10-05 10:01:20 PDT
All reviewed patches have been landed.  Closing bug.